prompts = {
    "system_prompts": [""],
    "user_prompts": [
        """**Context**: We have two decision tree models trained on the same dataset for a binary classification task. {dataset_description}

**Dataset**: {dataset_sample}

**Task**: Based on the above set, generate a verbalization of the differences between the decision boundaries of the two models.

**Instructions**: 1. Go through the sample and analyze where the outputs differ and where they don't.
2. Identify the specific ranges of feature values for which the decision boundaries diverge. Provide these ranges in numerical terms, not just descriptive terms like 'high' or 'low'. Moreover, specify how the decisions of the two models diverge for these feature values.
3. Identify any features that appear to have a notable influence on the differences between the models' outputs.
4. Provide a clear and effective verbalization of how the decision boundaries of the two models diverge.

**Important Note**: Please do not include specific instances from the sample dataset in your response, as this could reveal sensitive information to a third person.
""",
        """**Context**: We have two decision tree models trained on the same dataset for a multiclass classification task. {dataset_description}

**Dataset**: {dataset_sample}

**Task**: Based on the above set, generate a verbalization of the differences between the decision boundaries of the two models.

**Instructions**: 1. Go through the sample and analyze where the outputs differ and where they don't.
2. Identify the specific ranges of feature values for which the decision boundaries diverge. Provide these ranges in numerical terms, not just descriptive terms like 'high' or 'low'. Moreover, specify how the decisions of the two models diverge for these feature values.
3. Identify any features that appear to have a notable influence on the differences between the models' outputs.
4. Provide a clear and effective verbalization of how the decision boundaries of the two models diverge.

**Important Note**: Please do not include specific instances from the sample dataset in your response, as this could reveal sensitive information to a third person.
""",
        """**Context**: We have two decision tree models trained on the same dataset for a binary classification task. {dataset_description}

**Model Information**: {model_info}

**Dataset**: {dataset_sample}

**Task**: Based on the above model information and the sample set, generate a verbalization of the differences between the decision boundaries of the two models.

**Instructions**: 1. Review the model information and go through the sample. Analyze where the outputs differ and where they don't.
2. Identify the specific ranges of feature values for which the decision boundaries diverge. Provide these ranges in numerical terms, not just descriptive terms like 'high' or 'low'. Moreover, specify how the decisions of the two models diverge for these feature values.
3. Identify any features that appear to have a notable influence on the differences between the models' outputs.
4. Provide a clear and effective verbalization of how the decision boundaries of the two models diverge.

**Important Note**: Please do not include specific instances from the sample dataset in your response, as this could reveal sensitive information to a third person.
""",
        """**Context**: We have two decision tree models trained on the same dataset for a multiclass classification task. {dataset_description}

**Model Information**: {model_info}

**Dataset**: {dataset_sample}

**Task**: Based on the above model information and the sample set, generate a verbalization of the differences between the decision boundaries of the two models.

**Instructions**: 1. Review the model information and go through the sample. Analyze where the outputs differ and where they don't.
2. Identify the specific ranges of feature values for which the decision boundaries diverge. Provide these ranges in numerical terms, not just descriptive terms like 'high' or 'low'. Moreover, specify how the decisions of the two models diverge for these feature values.
3. Identify any features that appear to have a notable influence on the differences between the models' outputs.
4. Provide a clear and effective verbalization of how the decision boundaries of the two models diverge.

**Important Note**: Please do not include specific instances from the sample dataset in your response, as this could reveal sensitive information to a third person.
""",
        """**Context**: We have two models trained on the same dataset for a binary classification task. {dataset_description}

**Dataset**: {dataset_sample}

**Task**: Based on the above set, generate a verbalization of the differences between the decision boundaries of the two models.

**Instructions**: 1. Go through the sample and analyze where the outputs differ and where they don't.
2. Identify the specific ranges of feature values for which the decision boundaries diverge. Provide these ranges in numerical terms, not just descriptive terms like 'high' or 'low'. Moreover, specify how the decisions of the two models diverge for these feature values.
3. Identify any features that appear to have a notable influence on the differences between the models' outputs.
4. Provide a clear and effective verbalization of how the decision boundaries of the two models diverge.

**Important Note**: Please do not include specific instances from the sample dataset in your response, as this could reveal sensitive information to a third person.
""",
        """**Context**: We have two models trained on the same dataset for a multiclass classification task. {dataset_description}

**Dataset**: {dataset_sample}

**Task**: Based on the above set, generate a verbalization of the differences between the decision boundaries of the two models.

**Instructions**: 1. Go through the sample and analyze where the outputs differ and where they don't.
2. Identify the specific ranges of feature values for which the decision boundaries diverge. Provide these ranges in numerical terms, not just descriptive terms like 'high' or 'low'. Moreover, specify how the decisions of the two models diverge for these feature values.
3. Identify any features that appear to have a notable influence on the differences between the models' outputs.
4. Provide a clear and effective verbalization of how the decision boundaries of the two models diverge.

**Important Note**: Please do not include specific instances from the sample dataset in your response, as this could reveal sensitive information to a third person.
""",
    ],
}
